<template>
  <div class="rounded-r-full border-2 border-gray-600 shadow text-sm p-3 w-2/12 mx-0 my-4 md:text-xl lg:text-xl">
    <input
      v-on:keyup.enter="submit"
      type="number"
      min="0"
      v-model="profundidade"
      class="w-full outline-none px-3 text-gray-700 font-sans"
      placeholder="Profundidade"
    />
  </div>
</template>

<script lang="ts">
import { Component, Vue, Watch } from "vue-property-decorator";
import { warn } from "vue-class-component/lib/util";

@Component
export default class SearchDepth extends Vue {
  public profundidade = "";
  public submit() {
    this.$store.dispatch("enterDown");
  }
  @Watch("profundidade")
  alteraState(p: number) {
    this.$store.dispatch("alteraProfundidade", p);
  }
}
</script>